Bug 842878 - Remove sys.exit(1) from liveusb/__init__.py
Remove sys.exit(1) from liveusb/__init__.py
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
17
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 15:49 EDT by kushaldas@gmail.com
Modified: 2016-09-19 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: liveusb-creator-3.12.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:11:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2012-07-24 15:49:04 EDT
Line number 52 in liveusb/__init__.py , doing a sys.exit(1) if it is non-root user, which cause python interpreter to exit, if somebody wants to view all installed modules.


Current Version: liveusb-creator-3.11.7-1.fc17.noarch

More details can be found in https://bugzilla.redhat.com/show_bug.cgi?id=842403
Comment 2 Fedora Update System 2013-04-22 17:10:37 EDT
liveusb-creator-3.11.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.8-1.fc18
Comment 3 Fedora Update System 2013-04-22 17:11:17 EDT
liveusb-creator-3.11.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.8-1.fc19
Comment 4 Fedora Update System 2013-04-26 11:03:57 EDT
liveusb-creator-3.11.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.8-2.fc19
Comment 5 Fedora Update System 2013-05-01 00:27:47 EDT
liveusb-creator-3.11.8-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-05-01 23:54:25 EDT
liveusb-creator-3.11.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-17 18:59:06 EDT
liveusb-creator-3.12.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc19
Comment 8 Fedora Update System 2013-10-17 18:59:56 EDT
liveusb-creator-3.12.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc18
Comment 9 Fedora Update System 2013-10-17 19:00:54 EDT
liveusb-creator-3.12.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc20
Comment 10 Fedora Update System 2013-10-18 20:10:32 EDT
Package liveusb-creator-3.12.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.12.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19384/liveusb-creator-3.12.0-1.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-11-10 02:11:27 EST
liveusb-creator-3.12.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-12-11 21:56:38 EST
liveusb-creator-3.12.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-12-11 21:57:48 EST
liveusb-creator-3.12.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.